Bug 2480 - kmediafactory местами не до переведен
: kmediafactory местами не до переведен
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 12:31 MSD by Postnikov Dmitry
Modified: 2013-08-31 09:36 MSD (History)
3 users (show)

See Also:
RPM Package: kmediafactory-0.8.1-3-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+


Attachments
kmediafactory1.png (188.59 KB, image/png)
2013-08-12 12:31 MSD, Postnikov Dmitry
Details
полностью перeведённые файлы для kmediafactory (14.41 KB, application/x-7z-compressed)
2013-08-26 18:29 MSD, JDronova
Details
заново сгенерированные и перведённые пошки (47.23 KB, application/x-7z-compressed)
2013-08-28 21:31 MSD, JDronova
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2013-08-12 12:31:32 MSD
Created attachment 1763 [details]
kmediafactory1.png

Description of problem:
kmediafactory местами не до переведен

Version-Release number of selected component (if applicable):
kmediafactory-0.8.1-3-rosa2012.1.x86_64

Скрин прилагаю
Comment 1 JDronova 2013-08-26 13:40:57 MSD
Практически доделала перевод, кроме одного дебильного мессаджа. Но что-то странно получается, при проверке (конвертация в .mo и подставлении в LC_MESSAGES) почему-то переведённые строки половину не показывает. Буду разбираться.
Comment 2 JDronova 2013-08-26 18:29:01 MSD
Created attachment 1848 [details]
полностью перeведённые файлы для kmediafactory

Отправила в апстрим, прилагаю также и сюда.
Comment 3 Denis Silakov 2013-08-27 11:54:15 MSD
По-моему, po-файлы в апстриме давно не перегенерялись, с файлами от Юли все равно есть недопереведенные куски. Если Messages.sh запустить, то более адекватные pot-файлы создаются.
Comment 4 JDronova 2013-08-27 11:57:20 MSD
(In reply to comment #3)
> По-моему, po-файлы в апстриме давно не перегенерялись, с файлами от Юли все
> равно есть недопереведенные куски. Если Messages.sh запустить, то более
> адекватные pot-файлы создаются.

Займусь, да. У меня при подставлении тоже непереведённые оставались, думала мож msgfmt криво чего-то сделал
Comment 5 JDronova 2013-08-28 21:31:31 MSD
Created attachment 1861 [details]
заново сгенерированные и перведённые пошки

Сгенерировала заново .pot'ы, перевела и проверила в LC_MESSAGES, теперь вроде всё заполнилось.
Comment 6 Denis Silakov 2013-08-29 10:53:22 MSD
Advisory:

Added Russian localization for kmediafactory.

Build lists:
https://abf.rosalinux.ru/build_lists/1222645
https://abf.rosalinux.ru/build_lists/1222646
Comment 7 Alexander Petryakov 2013-08-31 09:36:29 MSD
kmediafactory-0.8.1-5
************** Advisory **************
Added Russian localization for kmediafactory.
**************************************
QA Verified